HomeREST APIPage

Page

Create, read, update and manage intranet pages and their content.

Note: All endpoints require authentication and an X-Tenant header. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.

Endpoints on this page

GET /api/page/favourites

Get a person's favourite pages.

Responses

Status Body
200 See below

Response body

[
  {
    "Id": 0,
    "Name": "string",
    "DateAdded": "string",
    "DateAddedUtc": "string",
    "PersonImage": "string",
    "LastUpdatedDate": "string",
    "LastUpdatedDateUtc": "string",
    "Summary": "string",
    "Url": "string",
    "AssetId": 0,
    "AuthorName": "string",
    "AuthorId": 0
  }
]
FieldType
Idinteger (int32)
Namestring
DateAddedstring
DateAddedUtcstring
PersonImagestring
LastUpdatedDatestring
LastUpdatedDateUtcstring
Summarystring
Urlstring
AssetIdinteger (int32)
AuthorNamestring
AuthorIdinteger (int32)

GET /api/page/ogtags

Get the OG tags of a url

Parameters

Name In Type Required Description
url query string Yes

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "Url": "string",
  "ImageUrl": "string",
  "ImageAlt": "string",
  "Title": "string",
  "Description": "string",
  "Keywords": "string",
  "HasData": true,
  "Response": "string"
}
FieldType
Urlstring
ImageUrlstring
ImageAltstring
Titlestring
Descriptionstring
Keywordsstring
HasDataboolean
Responsestring

GET /api/page/related-content

Gets content for related to given search term.

Parameters

Name In Type Required Description
searchTerm query string Yes

Responses

Status Body
200 See below
400
403
404

Response body

{
  "Id": 0,
  "Title": "string",
  "ReverseLink": true
}
FieldType
Idinteger (int32)
Titlestring
ReverseLinkboolean

GET /api/page/{id}

Get the latest version of a page to be displayed.

Parameters

Name In Type Required Description
id path integer (int32) Yes
detailed query boolean No

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "Id": 0,
  "VersionId": 0,
  "VersionNumber": 0,
  "PublishedAs": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string",
    "PublisherType": "Person",
    "PublisherTypeTitle": "string"
  },
  "AddedBy": 0,
  "SectionId": 0,
  "Title": "string",
  "Summary": "string",
  "AssetId": 0,
  "ContentType": "string",
  "JsonData": "string",
  "IsBlockEditorPage": true,
  "Active": true,
  "Archived": true,
  "ReviewId": 0,
  "IsKey": true,
  "AllowComments": true,
  "ShowTimeToRead": true,
  "AddedDate": "2024-01-01T00:00:00Z",
  "LastUpdatedDate": "2024-01-01T00:00:00Z",
  "PublishStartDate": "2024-01-01T00:00:00Z",
  "PublishEndDate": "2024-01-01T00:00:00Z",
  "TopMenuSectionProperties": {
    "SectionId": 0,
    "ShowRecommends": true,
    "ShowAuthor": true,
    "ShowQuiz": true,
    "ShowKeywords": true,
    "ShowStats": true,
    "ShowRating": true,
    "ShowUpToDate": true,
    "ShowMandatoryRead": true,
    "ShowPolls": true,
    "ShowComments": true,
    "ShowKey": true,
    "EnableMetadata": true,
    "EnableTasks": true,
    "HashTagMandatory": true,
    "AllowDirectDownload": true,
    "AllowFullWidth": true,
    "Url": "string"
  },
  "Content": {
    "Html": "string",
    "Link": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Upload": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Url": "string",
    "FileId": 0,
    "FileGuid": "string",
    "FileTitle": "string",
    "FileSize": 0,
    "FileSizeText": "string",
    "FileType": 0,
    "FileExtension": "string"
  },
  "Tags": [
    {
      "Id": 0,
      "Value": "string",
      "TagId": 0
    }
  ],
  "Keywords": [
    {
      "Id": 0,
      "Value": "string"
    }
  ],
  "Translations": [
    {
      "LanguageId": 0,
      "Code": "string",
      "Title": "string",
      "LocalTitle": "string",
      "DictionaryLanguage": "string",
      "LocalTitleWithFallback": "string",
      "TitleAndLocalTitle": "string",
      "RootBlock": "string"
    }
  ],
  "OriginalLanguage": {
    "LanguageId": 0,
    "Code": "string",
    "Title": "string",
    "LocalTitle": "string",
    "DictionaryLanguage": "string",
    "LocalTitleWithFallback": "string",
    "TitleAndLocalTitle": "string",
    "RootBlock": "string"
  },
  "Classification": "string",
  "ConfidentialityRating": "string",
  "Blocks": {},
  "LikeCount": 0,
  "CommentCount": 0,
  "Permalink": "string",
  "HasQuiz": true,
  "PollId": 0,
  "LanguageDirection": "string",
  "ShowPublishedDate": true,
  "ShowUpdatedDate": true,
  "HasPublicationDateBeenSet": true,
  "FoundryContentTypeId": "Unknown",
  "TelemetrySectionInfo": {
    "CategoryId": 0,
    "CategoryTitle": "string",
    "TopSectionId": 0,
    "TopSectionTitle": "string"
  }
}
FieldType
Idinteger (int32)
VersionIdinteger (int32)
VersionNumberinteger (int32)
PublishedAsobject
AddedByinteger (int32)
SectionIdinteger (int32)
Titlestring
Summarystring
AssetIdinteger (int32)
ContentTypestring
JsonDatastring
IsBlockEditorPageboolean
Activeboolean
Archivedboolean
ReviewIdinteger (int32)
IsKeyboolean
AllowCommentsboolean
ShowTimeToReadboolean
AddedDatestring (date-time)
LastUpdatedDatestring (date-time)
PublishStartDatestring (date-time)
PublishEndDatestring (date-time)
TopMenuSectionPropertiesobject
Contentobject
Tagsarray of object
Keywordsarray of object
Translationsarray of object
OriginalLanguageobject
Classificationstring
ConfidentialityRatingstring
Blocksobject
LikeCountinteger (int32)
CommentCountinteger (int32)
Permalinkstring
HasQuizboolean
PollIdinteger (int32)
LanguageDirectionstring
ShowPublishedDateboolean
ShowUpdatedDateboolean
HasPublicationDateBeenSetboolean
FoundryContentTypeIdstring
TelemetrySectionInfoobject

GET /api/page/{pageId}/activities

Get related pages.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 See below
400

Response body

{
  "TotalTasks": 0,
  "Overdue": 0,
  "Incomplete": 0,
  "Completed": 0
}
FieldType
TotalTasksinteger (int32)
Overdueinteger (int32)
Incompleteinteger (int32)
Completedinteger (int32)

GET /api/page/{pageId}/asset

Get the asset id of a page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 integer (int32)
400

GET /api/page/{pageId}/attachments

Get attachments for page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
version query integer (int32) Yes

Responses

Status Body
200 See below
400

Response body

{
  "AttachmentId": 0,
  "AddedBy": 0,
  "ObjectId": 0,
  "Version": 0,
  "ObjectTypeId": "Content",
  "TypeId": "Any",
  "Title": "string",
  "Url": "string",
  "Target": "string",
  "GoStraightToTarget": true,
  "Area": "string",
  "FileGuid": "string",
  "FileSize": 0,
  "BinaryData": "string",
  "Extension": "string",
  "Main": true
}
FieldType
AttachmentIdinteger (int32)
AddedByinteger (int32)
ObjectIdinteger (int32)
Versioninteger (int32)
ObjectTypeIdstring
TypeIdstring
Titlestring
Urlstring
Targetstring
GoStraightToTargetboolean
Areastring
FileGuidstring
FileSizeinteger (int64)
BinaryDatastring (byte)
Extensionstring
Mainboolean

GET /api/page/{pageId}/favourite

Get a person's favourite pages.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean

GET /api/page/{pageId}/latest-active-version

Returns latest active content version id for a content

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 integer (int32)
500

GET /api/page/{pageId}/mandatory

Checks whether a page is a mandatory read for user.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean
400

GET /api/page/{pageId}/new-version-available

Checks if a newer version is available for a given page

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
versionId query integer (int32) Yes

Responses

Status Body
200 integer (int32)
500

GET /api/page/{pageId}/status

Gets the status of the latest version of the given page

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 See below
403
404
500

Response body

{
  "StatusCode": "Continue",
  "Result": "Any"
}
FieldType
StatusCodestring
Resultstring

GET /api/page/{pageId}/version-history

Get a list of page versions.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
limit query integer (int32) No
offset query integer (int32) No

Responses

Status Body
200 See below
400
403
404

Response body

{
  "Id": 0,
  "VersionId": 0,
  "VersionNumber": 0,
  "VersionMessage": "string",
  "Author": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "PublishedAs": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string",
    "PublisherType": "Person",
    "PublisherTypeTitle": "string"
  },
  "CheckedOutBy": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "Tags": [
    {
      "Id": 0,
      "Value": "string",
      "TagId": 0
    }
  ],
  "Keywords": [
    {
      "Id": 0,
      "Value": "string"
    }
  ],
  "Categories": [
    {
      "Id": 0,
      "Title": "string"
    }
  ],
  "Contributors": [
    {
      "ContributorId": 0,
      "ContributorType": 0,
      "ContributorName": "string",
      "ContributorTypeName": "string"
    }
  ],
  "PageAttachments": {
    "Links": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ],
    "Files": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ]
  },
  "IsActive": true,
  "IsArchived": true,
  "PublicPageSettings": {
    "DisplayAuthor": true,
    "DisplayFacebookShare": true,
    "DisplayLinkedInShare": true,
    "DisplayTwitterShare": true
  },
  "ContributorsNotificationSettings": {
    "NotifyOnStatusChanged": true,
    "NotifyOnCommented": true
  },
  "Permalink": "string",
  "PublishStatus": "string",
  "DisplayImage": true,
  "TopSectionIds": [
    0
  ],
  "AssetId": 0,
  "ContentType": "string",
  "Title": "string",
  "Summary": "string",
  "Content": {
    "Html": "string",
    "Link": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Upload": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Url": "string",
    "FileId": 0,
    "FileGuid": "string",
    "FileTitle": "string",
    "FileSize": 0,
    "FileSizeText": "string",
    "FileType": 0,
    "FileExtension": "string"
  },
  "Features": {
    "DefaultToFullWidth": true,
    "AllowComments": true,
    "IsKeyPage": true,
    "Recommends": {
      "Show": true,
      "MaxContentAge": 0
    },
    "IsMandatoryRead": true,
    "SocialAdvocacyItem": true,
    "ShowTimeToRead": true,
    "ShowPublishedDate": true,
    "TemplateId": 0,
    "ShowUpdatedDate": true
  },
  "Audience": {
    "RelatedContent": [
      {
        "Id": 0,
        "Title": "string",
        "ReverseLink": true
      }
    ],
    "NotificationRecipients": [
      {
        "Id": 0,
        "Name": "string",
        "Type": "string",
        "IsPerson": true
      }
    ]
  },
  "PubStartDate": "2024-01-01T00:00:00Z",
  "PubEndDate": "2024-01-01T00:00:00Z",
  "ReviewDate": "2024-01-01T00:00:00Z",
  "ConfidentialityId": 0,
  "ClassificationId": 0,
  "BestBets": [
    "string"
  ],
  "Translations": {
    "originalLanguageId": 0,
    "originalLanguageCode": "string",
    "translations": [
      {
        "languageId": 0,
        "title": "string",
        "summary": "string",
        "body": "string",
        "dictionaryLanguage": "string",
        "translatedRootBlockId": "string",
        "translatedBlocks": {},
        "isAutoTranslated": true,
        "isAutoTranslationEdited": true,
        "isAutoTranslationAvailable": true,
        "isAutoTranslationEnabled": true,
        "hasTranslatedContentChanged": true
      }
    ]
  },
  "IsPublic": true,
  "JsonData": "string",
  "IsBlockEditorPage": true,
  "Blocks": {},
  "Status": 0,
  "SocialAdvocacyUrl": {
    "TargetUrl": "string",
    "ContentVersionId": 0,
    "IntermediatePath": "string",
    "OpenGraphTags": {},
    "PageDomain": "string"
  },
  "HasPublicationDateBeenSet": true,
  "IsDiscoverable": true,
  "BlockEditorContentType": "Unknown"
}
FieldType
Idinteger (int32)
VersionIdinteger (int32)
VersionNumberinteger (int32)
VersionMessagestring
Authorobject
PublishedAsobject
CheckedOutByobject
Tagsarray of object
Keywordsarray of object
Categoriesarray of object
Contributorsarray of object
PageAttachmentsobject
IsActiveboolean
IsArchivedboolean
PublicPageSettingsobject
ContributorsNotificationSettingsobject
Permalinkstring
PublishStatusstring
DisplayImageboolean
TopSectionIdsarray of integer
AssetIdinteger (int32)
ContentTypestring
Titlestring
Summarystring
Contentobject
Featuresobject
Audienceobject
PubStartDatestring (date-time)
PubEndDatestring (date-time)
ReviewDatestring (date-time)
ConfidentialityIdinteger (int32)
ClassificationIdinteger (int32)
BestBetsarray of string
Translationsobject
IsPublicboolean
JsonDatastring
IsBlockEditorPageboolean
Blocksobject
Statusinteger (int32)
SocialAdvocacyUrlobject
HasPublicationDateBeenSetboolean
IsDiscoverableboolean
BlockEditorContentTypestring

GET /api/page/{pageId}/watch

Check if page is watched by user

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean
400

POST /api/page/feedback

Sends feedback to author.

Parameters

Name In Type Required Description
pageId query integer (int32) Yes

Request body

"string"

No documented fields.

Responses

Status Body
200 boolean
400
403
404

POST /api/page/{pageId}/favourite

Add a page to the current user's favourites.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean
400

POST /api/page/{pageId}/like

Like a page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 See below
400
403
404

Response body

{
  "StatusCode": "Continue"
}
FieldType
StatusCodestring

POST /api/page/{pageId}/watch

Remove a page to the current user's watch.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean
400

PUT /api/page/{pageId}/favourites

Add a page to the current user's favourites.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean
400

PUT /api/page/{pageId}/workflow

Put worflow action for the page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
action query string Yes

Responses

Status Body
200 object

DELETE /api/page/{pageId}/favourites

Remove a page to the current user's favourites.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 boolean
400

DELETE /api/page/{pageId}/like

Unlike a page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 See below
400
403
404

Response body

{
  "StatusCode": "Continue"
}
FieldType
StatusCodestring

GET /api/page/comments/{contentId}/comment

Gets the timeline for the specified page

Parameters

Name In Type Required Description
contentId path integer (int32) Yes
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below
400

Response body

{
  "Status": "Success",
  "Items": [
    {
      "ActionId": 0,
      "ParentId": 0,
      "ActorName": "string",
      "ActorId": 0,
      "AssetId": 0,
      "TargetId": 0,
      "TargetType": "string",
      "ActionSubType": "string",
      "TargetName": "string",
      "TargetAssetId": 0,
      "LikeCount": 0,
      "LikedByPersonIds": [
        0
      ],
      "CommentCount": 0,
      "ActionType": "string",
      "Data": "string",
      "AddedDate": "2024-01-01T00:00:00Z",
      "DateTimeOccurred": "2024-01-01T00:00:00Z",
      "CanLike": true,
      "CanComment": true,
      "AggregatedCount": 0,
      "UpdatedDate": "2024-01-01T00:00:00Z",
      "SectionId": 0,
      "LocationName": "string",
      "LocationId": 0,
      "LocationType": "string",
      "SecondaryLocationType": "string",
      "SecondaryLocationName": "string",
      "SecondaryLocationId": 0,
      "IsPrivate": true,
      "AdditionalData": {
        "Likes": [
          {
            "PersonId": 0,
            "PersonName": "string",
            "Date": "2024-01-01T00:00:00Z",
            "FeedLikeAdditionalData": "string"
          }
        ],
        "CommentActions": [
          {
            "ActionId": 0,
            "PersonId": 0,
            "PersonName": "string",
            "Date": "2024-01-01T00:00:00Z",
            "FeedCommentAdditionalData": "string",
            "IsEdited": true
          }
        ],
        "AggregateActors": [
          {
            "PersonId": 0,
            "PersonName": "string",
            "PersonAssetId": 0,
            "Data": "string",
            "Date": "2024-01-01T00:00:00Z"
          }
        ],
        "Reactions": [
          {
            "PersonId": 0,
            "ReactionTypeId": 0
          }
        ]
      },
      "Attachments": [
        {
          "AttachmentId": 0,
          "FileGuid": "string",
          "Path": "string",
          "Title": "string",
          "Size": 0,
          "Extension": "string",
          "ObjectId": 0,
          "ObjectTypeId": 0,
          "PersonId": 0
        }
      ],
      "TranslationUrl": "string",
      "SourceLanguage": {
        "Code": "string",
        "Probability": 0,
        "ClassifiedDate": "2024-01-01T00:00:00Z"
      },
      "SourceLanguageCode": "string",
      "TargetLanguageCode": "string",
      "OfferTranslation": true,
      "CanDelete": true,
      "Hashtags": [
        "string"
      ],
      "Topics": [
        "string"
      ],
      "FeedAdditionalData": "string",
      "PostScheduledAt": "2024-01-01T00:00:00Z",
      "IsEdited": true
    }
  ]
}
FieldType
Statusstring
Itemsarray of object

GET /api/page/comments/{contentId}/comment/{commentId}/reply

List replies.

Parameters

Name In Type Required Description
contentId path integer (int32) Yes
commentId path integer (int32) Yes
objectId query integer (int32) No
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200
400

POST /api/page/comments/{contentId}/comment

Adds a comment to timeline for the specified page

Parameters

Name In Type Required Description
contentId path integer (int32) Yes

Request body

{
  "RecipientId": 0,
  "ActionText": "string",
  "SectionId": 0,
  "ParentId": 0,
  "Private": true,
  "IsPinned": true,
  "AttachmentIds": [
    0
  ],
  "LocalTimestamp": "2024-01-01T00:00:00Z",
  "Origin": "Unknown",
  "Platform": "Unknown"
}
FieldType
RecipientIdinteger (int32)
ActionTextstring
SectionIdinteger (int32)
ParentIdinteger (int32)
Privateboolean
IsPinnedboolean
AttachmentIdsarray of integer
LocalTimestampstring (date-time)
Originstring
Platformstring

Responses

Status Body
200 See below
400

Response body

{
  "ActionId": 0,
  "TypeId": 0,
  "ParentId": 0,
  "SectionId": 0,
  "ActorId": 0,
  "RecipientId": 0,
  "ActorName": "string",
  "RecipientTitle": "string",
  "ActorLink": "string",
  "RecipientLink": "string",
  "Data": "string",
  "TypeComposite": "Person",
  "RecipientType": "Person",
  "ActionType": "Add",
  "LikeCount": 0,
  "ShareCount": 0,
  "CommentCount": 0,
  "DateTimeOccurred": "2024-01-01T00:00:00Z",
  "Verb": "string",
  "LocationTitle": "string",
  "NotificationText": "string",
  "CanComment": true,
  "CanLike": true,
  "CanDelete": true,
  "AssetId": 0,
  "IsLikedByMe": true,
  "SocialProperties": {
    "IsLike": true,
    "IsComment": true,
    "IsShare": true,
    "CanComment": true,
    "CanLike": true
  },
  "Attachments": [
    {
      "AttachmentId": 0,
      "FileGuid": "string",
      "Path": "string",
      "Title": "string",
      "Size": 0,
      "Extension": "string",
      "SortOrder": 0
    }
  ]
}
FieldType
ActionIdinteger (int32)
TypeIdinteger (int32)
ParentIdinteger (int32)
SectionIdinteger (int32)
ActorIdinteger (int32)
RecipientIdinteger (int32)
ActorNamestring
RecipientTitlestring
ActorLinkstring
RecipientLinkstring
Datastring
TypeCompositestring
RecipientTypestring
ActionTypestring
LikeCountinteger (int32)
ShareCountinteger (int32)
CommentCountinteger (int32)
DateTimeOccurredstring (date-time)
Verbstring
LocationTitlestring
NotificationTextstring
CanCommentboolean
CanLikeboolean
CanDeleteboolean
AssetIdinteger (int32)
IsLikedByMeboolean
SocialPropertiesobject
Attachmentsarray of object

POST /api/page/comments/{contentId}/comment/{commentId}/attachment

Create an attachment.

Parameters

Name In Type Required Description
commentId path integer (int32) Yes
contentId path string Yes

Responses

Status Body
200 See below
400

Response body

[
  {
    "AttachmentId": 0,
    "FileGuid": "string",
    "Path": "string",
    "Title": "string",
    "Size": 0,
    "Extension": "string",
    "SortOrder": 0
  }
]
FieldType
AttachmentIdinteger (int32)
FileGuidstring
Pathstring
Titlestring
Sizeinteger (int32)
Extensionstring
SortOrderinteger (int32)

POST /api/page/comments/{contentId}/comment/{commentId}/like

Adds a like reaction to a page comment

Parameters

Name In Type Required Description
contentId path integer (int32) Yes
commentId path integer (int32) Yes

Responses

Status Body
200
400

POST /api/page/comments/{contentId}/comment/{commentId}/reply/{replyId}/like

Adds a like reaction to a comment reply

Parameters

Name In Type Required Description
contentId path integer (int32) Yes
commentId path integer (int32) Yes
replyId path integer (int32) Yes

Responses

Status Body
200
400

DELETE /api/page/comments/{contentId}/comment/{commentId}/like

Removes a like reaction for a page comment

Parameters

Name In Type Required Description
contentId path integer (int32) Yes
commentId path integer (int32) Yes

Responses

Status Body
200
400

DELETE /api/page/comments/{contentId}/comment/{commentId}/reply/{replyId}/like

Removes a like reaction for a reply to a comment

Parameters

Name In Type Required Description
contentId path integer (int32) Yes
commentId path integer (int32) Yes
replyId path integer (int32) Yes

Responses

Status Body
200
400

GET /api/page/{pageId}/composer/latest

Get latest version of a page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Responses

Status Body
200 See below
400
403
404

Response body

{
  "Id": 0,
  "VersionId": 0,
  "VersionNumber": 0,
  "VersionMessage": "string",
  "Author": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "PublishedAs": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string",
    "PublisherType": "Person",
    "PublisherTypeTitle": "string"
  },
  "CheckedOutBy": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "Tags": [
    {
      "Id": 0,
      "Value": "string",
      "TagId": 0
    }
  ],
  "Keywords": [
    {
      "Id": 0,
      "Value": "string"
    }
  ],
  "Categories": [
    {
      "Id": 0,
      "Title": "string"
    }
  ],
  "Contributors": [
    {
      "ContributorId": 0,
      "ContributorType": 0,
      "ContributorName": "string",
      "ContributorTypeName": "string"
    }
  ],
  "PageAttachments": {
    "Links": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ],
    "Files": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ]
  },
  "IsActive": true,
  "IsArchived": true,
  "PublicPageSettings": {
    "DisplayAuthor": true,
    "DisplayFacebookShare": true,
    "DisplayLinkedInShare": true,
    "DisplayTwitterShare": true
  },
  "ContributorsNotificationSettings": {
    "NotifyOnStatusChanged": true,
    "NotifyOnCommented": true
  },
  "Permalink": "string",
  "PublishStatus": "string",
  "DisplayImage": true,
  "TopSectionIds": [
    0
  ],
  "AssetId": 0,
  "ContentType": "string",
  "Title": "string",
  "Summary": "string",
  "Content": {
    "Html": "string",
    "Link": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Upload": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Url": "string",
    "FileId": 0,
    "FileGuid": "string",
    "FileTitle": "string",
    "FileSize": 0,
    "FileSizeText": "string",
    "FileType": 0,
    "FileExtension": "string"
  },
  "Features": {
    "DefaultToFullWidth": true,
    "AllowComments": true,
    "IsKeyPage": true,
    "Recommends": {
      "Show": true,
      "MaxContentAge": 0
    },
    "IsMandatoryRead": true,
    "SocialAdvocacyItem": true,
    "ShowTimeToRead": true,
    "ShowPublishedDate": true,
    "TemplateId": 0,
    "ShowUpdatedDate": true
  },
  "Audience": {
    "RelatedContent": [
      {
        "Id": 0,
        "Title": "string",
        "ReverseLink": true
      }
    ],
    "NotificationRecipients": [
      {
        "Id": 0,
        "Name": "string",
        "Type": "string",
        "IsPerson": true
      }
    ]
  },
  "PubStartDate": "2024-01-01T00:00:00Z",
  "PubEndDate": "2024-01-01T00:00:00Z",
  "ReviewDate": "2024-01-01T00:00:00Z",
  "ConfidentialityId": 0,
  "ClassificationId": 0,
  "BestBets": [
    "string"
  ],
  "Translations": {
    "originalLanguageId": 0,
    "originalLanguageCode": "string",
    "translations": [
      {
        "languageId": 0,
        "title": "string",
        "summary": "string",
        "body": "string",
        "dictionaryLanguage": "string",
        "translatedRootBlockId": "string",
        "translatedBlocks": {},
        "isAutoTranslated": true,
        "isAutoTranslationEdited": true,
        "isAutoTranslationAvailable": true,
        "isAutoTranslationEnabled": true,
        "hasTranslatedContentChanged": true
      }
    ]
  },
  "IsPublic": true,
  "JsonData": "string",
  "IsBlockEditorPage": true,
  "Blocks": {},
  "Status": 0,
  "SocialAdvocacyUrl": {
    "TargetUrl": "string",
    "ContentVersionId": 0,
    "IntermediatePath": "string",
    "OpenGraphTags": {},
    "PageDomain": "string"
  },
  "HasPublicationDateBeenSet": true,
  "IsDiscoverable": true,
  "BlockEditorContentType": "Unknown"
}
FieldType
Idinteger (int32)
VersionIdinteger (int32)
VersionNumberinteger (int32)
VersionMessagestring
Authorobject
PublishedAsobject
CheckedOutByobject
Tagsarray of object
Keywordsarray of object
Categoriesarray of object
Contributorsarray of object
PageAttachmentsobject
IsActiveboolean
IsArchivedboolean
PublicPageSettingsobject
ContributorsNotificationSettingsobject
Permalinkstring
PublishStatusstring
DisplayImageboolean
TopSectionIdsarray of integer
AssetIdinteger (int32)
ContentTypestring
Titlestring
Summarystring
Contentobject
Featuresobject
Audienceobject
PubStartDatestring (date-time)
PubEndDatestring (date-time)
ReviewDatestring (date-time)
ConfidentialityIdinteger (int32)
ClassificationIdinteger (int32)
BestBetsarray of string
Translationsobject
IsPublicboolean
JsonDatastring
IsBlockEditorPageboolean
Blocksobject
Statusinteger (int32)
SocialAdvocacyUrlobject
HasPublicationDateBeenSetboolean
IsDiscoverableboolean
BlockEditorContentTypestring

GET /api/page/{pageId}/composer/version/{version}

Get a version of a page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
version path integer (int32) Yes

Responses

Status Body
200 See below
400
403
404

Response body

{
  "Id": 0,
  "VersionId": 0,
  "VersionNumber": 0,
  "VersionMessage": "string",
  "Author": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "PublishedAs": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string",
    "PublisherType": "Person",
    "PublisherTypeTitle": "string"
  },
  "CheckedOutBy": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "Tags": [
    {
      "Id": 0,
      "Value": "string",
      "TagId": 0
    }
  ],
  "Keywords": [
    {
      "Id": 0,
      "Value": "string"
    }
  ],
  "Categories": [
    {
      "Id": 0,
      "Title": "string"
    }
  ],
  "Contributors": [
    {
      "ContributorId": 0,
      "ContributorType": 0,
      "ContributorName": "string",
      "ContributorTypeName": "string"
    }
  ],
  "PageAttachments": {
    "Links": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ],
    "Files": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ]
  },
  "IsActive": true,
  "IsArchived": true,
  "PublicPageSettings": {
    "DisplayAuthor": true,
    "DisplayFacebookShare": true,
    "DisplayLinkedInShare": true,
    "DisplayTwitterShare": true
  },
  "ContributorsNotificationSettings": {
    "NotifyOnStatusChanged": true,
    "NotifyOnCommented": true
  },
  "Permalink": "string",
  "PublishStatus": "string",
  "DisplayImage": true,
  "TopSectionIds": [
    0
  ],
  "AssetId": 0,
  "ContentType": "string",
  "Title": "string",
  "Summary": "string",
  "Content": {
    "Html": "string",
    "Link": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Upload": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Url": "string",
    "FileId": 0,
    "FileGuid": "string",
    "FileTitle": "string",
    "FileSize": 0,
    "FileSizeText": "string",
    "FileType": 0,
    "FileExtension": "string"
  },
  "Features": {
    "DefaultToFullWidth": true,
    "AllowComments": true,
    "IsKeyPage": true,
    "Recommends": {
      "Show": true,
      "MaxContentAge": 0
    },
    "IsMandatoryRead": true,
    "SocialAdvocacyItem": true,
    "ShowTimeToRead": true,
    "ShowPublishedDate": true,
    "TemplateId": 0,
    "ShowUpdatedDate": true
  },
  "Audience": {
    "RelatedContent": [
      {
        "Id": 0,
        "Title": "string",
        "ReverseLink": true
      }
    ],
    "NotificationRecipients": [
      {
        "Id": 0,
        "Name": "string",
        "Type": "string",
        "IsPerson": true
      }
    ]
  },
  "PubStartDate": "2024-01-01T00:00:00Z",
  "PubEndDate": "2024-01-01T00:00:00Z",
  "ReviewDate": "2024-01-01T00:00:00Z",
  "ConfidentialityId": 0,
  "ClassificationId": 0,
  "BestBets": [
    "string"
  ],
  "Translations": {
    "originalLanguageId": 0,
    "originalLanguageCode": "string",
    "translations": [
      {
        "languageId": 0,
        "title": "string",
        "summary": "string",
        "body": "string",
        "dictionaryLanguage": "string",
        "translatedRootBlockId": "string",
        "translatedBlocks": {},
        "isAutoTranslated": true,
        "isAutoTranslationEdited": true,
        "isAutoTranslationAvailable": true,
        "isAutoTranslationEnabled": true,
        "hasTranslatedContentChanged": true
      }
    ]
  },
  "IsPublic": true,
  "JsonData": "string",
  "IsBlockEditorPage": true,
  "Blocks": {},
  "Status": 0,
  "SocialAdvocacyUrl": {
    "TargetUrl": "string",
    "ContentVersionId": 0,
    "IntermediatePath": "string",
    "OpenGraphTags": {},
    "PageDomain": "string"
  },
  "HasPublicationDateBeenSet": true,
  "IsDiscoverable": true,
  "BlockEditorContentType": "Unknown"
}
FieldType
Idinteger (int32)
VersionIdinteger (int32)
VersionNumberinteger (int32)
VersionMessagestring
Authorobject
PublishedAsobject
CheckedOutByobject
Tagsarray of object
Keywordsarray of object
Categoriesarray of object
Contributorsarray of object
PageAttachmentsobject
IsActiveboolean
IsArchivedboolean
PublicPageSettingsobject
ContributorsNotificationSettingsobject
Permalinkstring
PublishStatusstring
DisplayImageboolean
TopSectionIdsarray of integer
AssetIdinteger (int32)
ContentTypestring
Titlestring
Summarystring
Contentobject
Featuresobject
Audienceobject
PubStartDatestring (date-time)
PubEndDatestring (date-time)
ReviewDatestring (date-time)
ConfidentialityIdinteger (int32)
ClassificationIdinteger (int32)
BestBetsarray of string
Translationsobject
IsPublicboolean
JsonDatastring
IsBlockEditorPageboolean
Blocksobject
Statusinteger (int32)
SocialAdvocacyUrlobject
HasPublicationDateBeenSetboolean
IsDiscoverableboolean
BlockEditorContentTypestring

POST /api/page/composer

Create a new page.

Request body

{
  "Transition": {
    "Message": "string",
    "State": "Published",
    "UserIds": [
      0
    ],
    "ResendMentions": true,
    "SendNotifications": true,
    "NotificationMessage": "string"
  },
  "Page": {
    "AuthorId": 0,
    "PublishAsId": 0,
    "PublisherType": 0,
    "InitiatorId": 0,
    "LastUpdatedBy": 0,
    "CategoryIds": [
      0
    ],
    "TagIds": [
      0
    ],
    "Keywords": [
      "string"
    ],
    "ComposerAttachment": {
      "AttachmentId": 0,
      "Title": "string",
      "UploadTitle": "string",
      "Url": "string",
      "Path": "string",
      "PathUpload": "string",
      "PathLink": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "IconClass": "string",
      "TitleWithSize": "string",
      "BinaryData": "string",
      "TypeId": 0,
      "ObjectTypeId": "Content",
      "ObjectId": 0,
      "Version": 0,
      "Main": true,
      "Index": "string",
      "TargetOptions": [
        {
          "Disabled": true,
          "Group": {
            "Disabled": true,
            "Name": "string"
          },
          "Selected": true,
          "Text": "string",
          "Value": "string"
        }
      ]
    },
    "ComposerAttachments": {
      "Links": [
        {
          "AttachmentId": 0,
          "Title": "string",
          "UploadTitle": "string",
          "Url": "string",
          "Path": "string",
          "PathUpload": "string",
          "PathLink": "string",
          "Target": "string",
          "GoStraightToTarget": true,
          "FileGuid": "string",
          "FileSize": 0,
          "Extension": "string",
          "IconClass": "string",
          "TitleWithSize": "string",
          "BinaryData": "string",
          "TypeId": 0,
          "ObjectTypeId": "Content",
          "ObjectId": 0,
          "Version": 0,
          "Main": true,
          "Index": "string",
          "TargetOptions": [
            {
              "Disabled": true,
              "Group": {},
              "Selected": true,
              "Text": "string",
              "Value": "string"
            }
          ]
        }
      ],
      "Files": [
        {
          "AttachmentId": 0,
          "Title": "string",
          "UploadTitle": "string",
          "Url": "string",
          "Path": "string",
          "PathUpload": "string",
          "PathLink": "string",
          "Target": "string",
          "GoStraightToTarget": true,
          "FileGuid": "string",
          "FileSize": 0,
          "Extension": "string",
          "IconClass": "string",
          "TitleWithSize": "string",
          "BinaryData": "string",
          "TypeId": 0,
          "ObjectTypeId": "Content",
          "ObjectId": 0,
          "Version": 0,
          "Main": true,
          "Index": "string",
          "TargetOptions": [
            {
              "Disabled": true,
              "Group": {},
              "Selected": true,
              "Text": "string",
              "Value": "string"
            }
          ]
        }
      ]
    },
    "PublicPageSettings": {
      "DisplayAuthor": true,
      "DisplayFacebookShare": true,
      "DisplayLinkedInShare": true,
      "DisplayTwitterShare": true
    },
    "Contributors": [
      {
        "ContributorId": 0,
        "ContributorType": 0,
        "ContributorName": "string",
        "ContributorTypeName": "string"
      }
    ],
    "ContributorsNotificationSettings": {
      "NotifyOnStatusChanged": true,
      "NotifyOnCommented": true
    },
    "Permalink": "string",
    "TopSectionIds": [
      0
    ],
    "AssetId": 0,
    "ContentType": "string",
    "Title": "string",
    "Summary": "string",
    "Content": {
      "Html": "string",
      "Link": {
        "Title": "string",
        "Address": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "DisableDownload": true
      },
      "Upload": {
        "Title": "string",
        "Address": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "DisableDownload": true
      },
      "Url": "string",
      "FileId": 0,
      "FileGuid": "string",
      "FileTitle": "string",
      "FileSize": 0,
      "FileSizeText": "string",
      "FileType": 0,
      "FileExtension": "string"
    },
    "Features": {
      "DefaultToFullWidth": true,
      "AllowComments": true,
      "IsKeyPage": true,
      "Recommends": {
        "Show": true,
        "MaxContentAge": 0
      },
      "IsMandatoryRead": true,
      "SocialAdvocacyItem": true,
      "ShowTimeToRead": true,
      "ShowPublishedDate": true,
      "TemplateId": 0,
      "ShowUpdatedDate": true
    },
    "Audience": {
      "RelatedContent": [
        {
          "Id": 0,
          "Title": "string",
          "ReverseLink": true
        }
      ],
      "NotificationRecipients": [
        {
          "Id": 0,
          "Name": "string",
          "Type": "string",
          "IsPerson": true
        }
      ]
    },
    "PubStartDate": "2024-01-01T00:00:00Z",
    "PubEndDate": "2024-01-01T00:00:00Z",
    "ReviewDate": "2024-01-01T00:00:00Z",
    "ConfidentialityId": 0,
    "ClassificationId": 0,
    "BestBets": [
      "string"
    ],
    "Translations": {
      "originalLanguageId": 0,
      "originalLanguageCode": "string",
      "translations": [
        {
          "languageId": 0,
          "title": "string",
          "summary": "string",
          "body": "string",
          "dictionaryLanguage": "string",
          "translatedRootBlockId": "string",
          "translatedBlocks": {},
          "isAutoTranslated": true,
          "isAutoTranslationEdited": true,
          "isAutoTranslationAvailable": true,
          "isAutoTranslationEnabled": true,
          "hasTranslatedContentChanged": true
        }
      ]
    },
    "IsPublic": true,
    "JsonData": "string",
    "IsBlockEditorPage": true,
    "Blocks": {},
    "Status": 0,
    "SocialAdvocacyUrl": {
      "TargetUrl": "string",
      "ContentVersionId": 0,
      "IntermediatePath": "string",
      "OpenGraphTags": {},
      "PageDomain": "string"
    },
    "HasPublicationDateBeenSet": true,
    "IsDiscoverable": true,
    "BlockEditorContentType": "Unknown"
  },
  "AdditionalDetails": {
    "ChannelId": "00000000-0000-0000-0000-000000000000",
    "PromotionNote": "string",
    "TargetUsers": [
      0
    ],
    "TargetOrganisations": [
      0
    ],
    "SendDate": "2024-01-01T00:00:00Z",
    "InternalName": "string",
    "DistributionFile": {
      "Name": "string",
      "Size": 0,
      "ErrorMessage": "string",
      "DistributionListResult": {
        "TotalRows": 0,
        "SuccessfulMatches": 0,
        "FailedAddresses": [
          {
            "MatchingPersonId": 0,
            "InteractId": 0,
            "Email": "string",
            "Username": "string",
            "ExternalId": "string",
            "HasMatch": true
          }
        ],
        "SuccessfulAddresses": [
          {
            "MatchingPersonId": 0,
            "InteractId": 0,
            "Email": "string",
            "Username": "string",
            "ExternalId": "string",
            "HasMatch": true
          }
        ],
        "MatchedIds": [
          0
        ]
      }
    },
    "ImportanceLevel": "Normal"
  },
  "ContentType": "Unknown"
}
FieldType
Transitionobject
Pageobject
AdditionalDetailsobject
ContentTypestring

Responses

Status Body
200 See below
400
403

Response body

{
  "ContentId": 0,
  "VersionId": 0,
  "Acknowledged": true
}
FieldType
ContentIdinteger (int32)
VersionIdinteger (int32)
Acknowledgedboolean

PUT /api/page/{pageId}/composer

Update an existing page.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes

Request body

{
  "Transition": {
    "Message": "string",
    "State": "Published",
    "UserIds": [
      0
    ],
    "ResendMentions": true,
    "SendNotifications": true,
    "NotificationMessage": "string"
  },
  "Page": {
    "AuthorId": 0,
    "PublishAsId": 0,
    "PublisherType": 0,
    "InitiatorId": 0,
    "LastUpdatedBy": 0,
    "CategoryIds": [
      0
    ],
    "TagIds": [
      0
    ],
    "Keywords": [
      "string"
    ],
    "ComposerAttachment": {
      "AttachmentId": 0,
      "Title": "string",
      "UploadTitle": "string",
      "Url": "string",
      "Path": "string",
      "PathUpload": "string",
      "PathLink": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "IconClass": "string",
      "TitleWithSize": "string",
      "BinaryData": "string",
      "TypeId": 0,
      "ObjectTypeId": "Content",
      "ObjectId": 0,
      "Version": 0,
      "Main": true,
      "Index": "string",
      "TargetOptions": [
        {
          "Disabled": true,
          "Group": {
            "Disabled": true,
            "Name": "string"
          },
          "Selected": true,
          "Text": "string",
          "Value": "string"
        }
      ]
    },
    "ComposerAttachments": {
      "Links": [
        {
          "AttachmentId": 0,
          "Title": "string",
          "UploadTitle": "string",
          "Url": "string",
          "Path": "string",
          "PathUpload": "string",
          "PathLink": "string",
          "Target": "string",
          "GoStraightToTarget": true,
          "FileGuid": "string",
          "FileSize": 0,
          "Extension": "string",
          "IconClass": "string",
          "TitleWithSize": "string",
          "BinaryData": "string",
          "TypeId": 0,
          "ObjectTypeId": "Content",
          "ObjectId": 0,
          "Version": 0,
          "Main": true,
          "Index": "string",
          "TargetOptions": [
            {
              "Disabled": true,
              "Group": {},
              "Selected": true,
              "Text": "string",
              "Value": "string"
            }
          ]
        }
      ],
      "Files": [
        {
          "AttachmentId": 0,
          "Title": "string",
          "UploadTitle": "string",
          "Url": "string",
          "Path": "string",
          "PathUpload": "string",
          "PathLink": "string",
          "Target": "string",
          "GoStraightToTarget": true,
          "FileGuid": "string",
          "FileSize": 0,
          "Extension": "string",
          "IconClass": "string",
          "TitleWithSize": "string",
          "BinaryData": "string",
          "TypeId": 0,
          "ObjectTypeId": "Content",
          "ObjectId": 0,
          "Version": 0,
          "Main": true,
          "Index": "string",
          "TargetOptions": [
            {
              "Disabled": true,
              "Group": {},
              "Selected": true,
              "Text": "string",
              "Value": "string"
            }
          ]
        }
      ]
    },
    "PublicPageSettings": {
      "DisplayAuthor": true,
      "DisplayFacebookShare": true,
      "DisplayLinkedInShare": true,
      "DisplayTwitterShare": true
    },
    "Contributors": [
      {
        "ContributorId": 0,
        "ContributorType": 0,
        "ContributorName": "string",
        "ContributorTypeName": "string"
      }
    ],
    "ContributorsNotificationSettings": {
      "NotifyOnStatusChanged": true,
      "NotifyOnCommented": true
    },
    "Permalink": "string",
    "TopSectionIds": [
      0
    ],
    "AssetId": 0,
    "ContentType": "string",
    "Title": "string",
    "Summary": "string",
    "Content": {
      "Html": "string",
      "Link": {
        "Title": "string",
        "Address": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "DisableDownload": true
      },
      "Upload": {
        "Title": "string",
        "Address": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "DisableDownload": true
      },
      "Url": "string",
      "FileId": 0,
      "FileGuid": "string",
      "FileTitle": "string",
      "FileSize": 0,
      "FileSizeText": "string",
      "FileType": 0,
      "FileExtension": "string"
    },
    "Features": {
      "DefaultToFullWidth": true,
      "AllowComments": true,
      "IsKeyPage": true,
      "Recommends": {
        "Show": true,
        "MaxContentAge": 0
      },
      "IsMandatoryRead": true,
      "SocialAdvocacyItem": true,
      "ShowTimeToRead": true,
      "ShowPublishedDate": true,
      "TemplateId": 0,
      "ShowUpdatedDate": true
    },
    "Audience": {
      "RelatedContent": [
        {
          "Id": 0,
          "Title": "string",
          "ReverseLink": true
        }
      ],
      "NotificationRecipients": [
        {
          "Id": 0,
          "Name": "string",
          "Type": "string",
          "IsPerson": true
        }
      ]
    },
    "PubStartDate": "2024-01-01T00:00:00Z",
    "PubEndDate": "2024-01-01T00:00:00Z",
    "ReviewDate": "2024-01-01T00:00:00Z",
    "ConfidentialityId": 0,
    "ClassificationId": 0,
    "BestBets": [
      "string"
    ],
    "Translations": {
      "originalLanguageId": 0,
      "originalLanguageCode": "string",
      "translations": [
        {
          "languageId": 0,
          "title": "string",
          "summary": "string",
          "body": "string",
          "dictionaryLanguage": "string",
          "translatedRootBlockId": "string",
          "translatedBlocks": {},
          "isAutoTranslated": true,
          "isAutoTranslationEdited": true,
          "isAutoTranslationAvailable": true,
          "isAutoTranslationEnabled": true,
          "hasTranslatedContentChanged": true
        }
      ]
    },
    "IsPublic": true,
    "JsonData": "string",
    "IsBlockEditorPage": true,
    "Blocks": {},
    "Status": 0,
    "SocialAdvocacyUrl": {
      "TargetUrl": "string",
      "ContentVersionId": 0,
      "IntermediatePath": "string",
      "OpenGraphTags": {},
      "PageDomain": "string"
    },
    "HasPublicationDateBeenSet": true,
    "IsDiscoverable": true,
    "BlockEditorContentType": "Unknown"
  },
  "AdditionalDetails": {
    "ChannelId": "00000000-0000-0000-0000-000000000000",
    "PromotionNote": "string",
    "TargetUsers": [
      0
    ],
    "TargetOrganisations": [
      0
    ],
    "SendDate": "2024-01-01T00:00:00Z",
    "InternalName": "string",
    "DistributionFile": {
      "Name": "string",
      "Size": 0,
      "ErrorMessage": "string",
      "DistributionListResult": {
        "TotalRows": 0,
        "SuccessfulMatches": 0,
        "FailedAddresses": [
          {
            "MatchingPersonId": 0,
            "InteractId": 0,
            "Email": "string",
            "Username": "string",
            "ExternalId": "string",
            "HasMatch": true
          }
        ],
        "SuccessfulAddresses": [
          {
            "MatchingPersonId": 0,
            "InteractId": 0,
            "Email": "string",
            "Username": "string",
            "ExternalId": "string",
            "HasMatch": true
          }
        ],
        "MatchedIds": [
          0
        ]
      }
    },
    "ImportanceLevel": "Normal"
  },
  "ContentType": "Unknown"
}
FieldType
Transitionobject
Pageobject
AdditionalDetailsobject
ContentTypestring

Responses

Status Body
200 See below
400
403
404

Response body

{
  "ContentId": 0,
  "VersionId": 0,
  "Acknowledged": true
}
FieldType
ContentIdinteger (int32)
VersionIdinteger (int32)
Acknowledgedboolean

GET /api/page/{pageId}/languages-info

Gets original and translated languages for a given page

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
version query integer (int32) No

Responses

Status Body
200 See below
400
403
500

Response body

{
  "StatusCode": "Continue",
  "Result": {
    "originalLanguage": {
      "LanguageId": 0,
      "Code": "string",
      "Title": "string",
      "LocalTitle": "string",
      "DictionaryLanguage": "string",
      "LocalTitleWithFallback": "string",
      "TitleAndLocalTitle": "string",
      "RootBlock": "string"
    },
    "translatedLanguages": [
      {
        "LanguageId": 0,
        "Code": "string",
        "Title": "string",
        "LocalTitle": "string",
        "DictionaryLanguage": "string",
        "LocalTitleWithFallback": "string",
        "TitleAndLocalTitle": "string",
        "RootBlock": "string"
      }
    ]
  }
}
FieldType
StatusCodestring
Resultobject

GET /api/page/{pageId}/languages-info/version/{version}

Gets original and translated languages for a given page

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
version path integer (int32) Yes

Responses

Status Body
200 See below
400
403
500

Response body

{
  "StatusCode": "Continue",
  "Result": {
    "originalLanguage": {
      "LanguageId": 0,
      "Code": "string",
      "Title": "string",
      "LocalTitle": "string",
      "DictionaryLanguage": "string",
      "LocalTitleWithFallback": "string",
      "TitleAndLocalTitle": "string",
      "RootBlock": "string"
    },
    "translatedLanguages": [
      {
        "LanguageId": 0,
        "Code": "string",
        "Title": "string",
        "LocalTitle": "string",
        "DictionaryLanguage": "string",
        "LocalTitleWithFallback": "string",
        "TitleAndLocalTitle": "string",
        "RootBlock": "string"
      }
    ]
  }
}
FieldType
StatusCodestring
Resultobject

GET /api/person/page/favourite

Gets a paged response for authenticated person's favourite pages.

Parameters

Name In Type Required Description
sortColumn query string No
sortDirection query string No Allowed values: Ascending, Descending
offset query integer (int32) No
limit query integer (int32) No

Responses

Status Body
200 See below

Response body

{
  "StatusCode": "Continue",
  "Page": {
    "Items": [
      {
        "Id": 0,
        "Name": "string",
        "DateAdded": "string",
        "DateAddedUtc": "string",
        "PersonImage": "string",
        "LastUpdatedDate": "string",
        "LastUpdatedDateUtc": "string",
        "Summary": "string",
        "Url": "string",
        "AssetId": 0,
        "AuthorName": "string",
        "AuthorId": 0
      }
    ],
    "HasResults": true,
    "Info": {
      "TotalResults": 0,
      "Limit": 0,
      "Offset": 0
    }
  },
  "ErrorMessages": [
    "string"
  ],
  "HasErrors": true,
  "IsSuccessStatusCode": true
}
FieldType
StatusCodestring
Pageobject
ErrorMessagesarray of string
HasErrorsboolean
IsSuccessStatusCodeboolean

GET /api/person/{personId}/page/favourite

Get a person's favourite pages.

Parameters

Name In Type Required Description
pageId query integer (int32) Yes
personId path string Yes

Responses

Status Body
200 boolean

GET /api/person/{personId}/page/watch/alert

Get the current user's watched pages.

Parameters

Name In Type Required Description
personId path integer (int32) Yes
page query integer (int32) No
size query integer (int32) No

Responses

Status Body
200 See below
204
500

Response body

[
  {
    "WatchAlertId": 0,
    "WatchId": 0,
    "ContentId": 0,
    "CategoryId": 0,
    "ContentTitle": "string",
    "CategoryTitle": "string",
    "LastUpdated": "string",
    "LastUpdatedDate": "2024-01-01T00:00:00Z",
    "LastUpdatedUtc": "string",
    "DocumentWatch": true,
    "Added": true,
    "Updated": true,
    "Deleted": true,
    "DeleteAssetId": 0,
    "SectionId": 0,
    "Status": "string",
    "Text": "string",
    "PersonId": 0,
    "AddedDate": "2024-01-01T00:00:00Z",
    "AssetId": 0,
    "PersonImage": 0,
    "LastUpdatedDateString": "string",
    "AddedDateString": "string"
  }
]
FieldType
WatchAlertIdinteger (int32)
WatchIdinteger (int32)
ContentIdinteger (int32)
CategoryIdinteger (int32)
ContentTitlestring
CategoryTitlestring
LastUpdatedstring
LastUpdatedDatestring (date-time)
LastUpdatedUtcstring
DocumentWatchboolean
Addedboolean
Updatedboolean
Deletedboolean
DeleteAssetIdinteger (int32)
SectionIdinteger (int32)
Statusstring
Textstring
PersonIdinteger (int32)
AddedDatestring (date-time)
AssetIdinteger (int32)
PersonImageinteger (int32)
LastUpdatedDateStringstring
AddedDateStringstring

POST /api/person/{personId}/page/{pageId}/favourite

Add a page to the current user's favourites.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
personId path string Yes

Responses

Status Body
200 boolean
400

POST /api/person/{personId}/page/{pageId}/watch

Remove a page to the current user's watch.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
personId path string Yes

Responses

Status Body
200 boolean
400

PUT /api/person/{personId}/page/{pageId}/favourite

Add a page to the current user's favourites.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
personId path string Yes

Responses

Status Body
200 boolean
400

DELETE /api/person/{personId}/page/watch/alert/{contentId}

Delete the current user's watch alerts for a page.

Parameters

Name In Type Required Description
personId path integer (int32) Yes
contentId path integer (int32) Yes

Responses

Status Body
200
404

DELETE /api/person/{personId}/page/{pageId}/favourite

Remove a page to the current user's favourites.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
personId path string Yes

Responses

Status Body
200 boolean
400

Attempts to get a permalink based on the string.

Parameters

Name In Type Required Description
permalink path string Yes

Responses

Status Body
200 See below
400
403
404

Response body

{
  "Id": 0,
  "VersionId": 0,
  "VersionNumber": 0,
  "VersionMessage": "string",
  "Author": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "PublishedAs": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string",
    "PublisherType": "Person",
    "PublisherTypeTitle": "string"
  },
  "CheckedOutBy": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string"
  },
  "Tags": [
    {
      "Id": 0,
      "Value": "string",
      "TagId": 0
    }
  ],
  "Keywords": [
    {
      "Id": 0,
      "Value": "string"
    }
  ],
  "Categories": [
    {
      "Id": 0,
      "Title": "string"
    }
  ],
  "Contributors": [
    {
      "ContributorId": 0,
      "ContributorType": 0,
      "ContributorName": "string",
      "ContributorTypeName": "string"
    }
  ],
  "PageAttachments": {
    "Links": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ],
    "Files": [
      {
        "AttachmentId": 0,
        "Title": "string",
        "UploadTitle": "string",
        "Url": "string",
        "Path": "string",
        "PathUpload": "string",
        "PathLink": "string",
        "Target": "string",
        "GoStraightToTarget": true,
        "FileGuid": "string",
        "FileSize": 0,
        "Extension": "string",
        "IconClass": "string",
        "TitleWithSize": "string",
        "BinaryData": "string",
        "TypeId": 0,
        "ObjectTypeId": "Content",
        "ObjectId": 0,
        "Version": 0,
        "Main": true,
        "Index": "string",
        "TargetOptions": [
          {
            "Disabled": true,
            "Group": {
              "Disabled": true,
              "Name": "string"
            },
            "Selected": true,
            "Text": "string",
            "Value": "string"
          }
        ]
      }
    ]
  },
  "IsActive": true,
  "IsArchived": true,
  "PublicPageSettings": {
    "DisplayAuthor": true,
    "DisplayFacebookShare": true,
    "DisplayLinkedInShare": true,
    "DisplayTwitterShare": true
  },
  "ContributorsNotificationSettings": {
    "NotifyOnStatusChanged": true,
    "NotifyOnCommented": true
  },
  "Permalink": "string",
  "PublishStatus": "string",
  "DisplayImage": true,
  "TopSectionIds": [
    0
  ],
  "AssetId": 0,
  "ContentType": "string",
  "Title": "string",
  "Summary": "string",
  "Content": {
    "Html": "string",
    "Link": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Upload": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Url": "string",
    "FileId": 0,
    "FileGuid": "string",
    "FileTitle": "string",
    "FileSize": 0,
    "FileSizeText": "string",
    "FileType": 0,
    "FileExtension": "string"
  },
  "Features": {
    "DefaultToFullWidth": true,
    "AllowComments": true,
    "IsKeyPage": true,
    "Recommends": {
      "Show": true,
      "MaxContentAge": 0
    },
    "IsMandatoryRead": true,
    "SocialAdvocacyItem": true,
    "ShowTimeToRead": true,
    "ShowPublishedDate": true,
    "TemplateId": 0,
    "ShowUpdatedDate": true
  },
  "Audience": {
    "RelatedContent": [
      {
        "Id": 0,
        "Title": "string",
        "ReverseLink": true
      }
    ],
    "NotificationRecipients": [
      {
        "Id": 0,
        "Name": "string",
        "Type": "string",
        "IsPerson": true
      }
    ]
  },
  "PubStartDate": "2024-01-01T00:00:00Z",
  "PubEndDate": "2024-01-01T00:00:00Z",
  "ReviewDate": "2024-01-01T00:00:00Z",
  "ConfidentialityId": 0,
  "ClassificationId": 0,
  "BestBets": [
    "string"
  ],
  "Translations": {
    "originalLanguageId": 0,
    "originalLanguageCode": "string",
    "translations": [
      {
        "languageId": 0,
        "title": "string",
        "summary": "string",
        "body": "string",
        "dictionaryLanguage": "string",
        "translatedRootBlockId": "string",
        "translatedBlocks": {},
        "isAutoTranslated": true,
        "isAutoTranslationEdited": true,
        "isAutoTranslationAvailable": true,
        "isAutoTranslationEnabled": true,
        "hasTranslatedContentChanged": true
      }
    ]
  },
  "IsPublic": true,
  "JsonData": "string",
  "IsBlockEditorPage": true,
  "Blocks": {},
  "Status": 0,
  "SocialAdvocacyUrl": {
    "TargetUrl": "string",
    "ContentVersionId": 0,
    "IntermediatePath": "string",
    "OpenGraphTags": {},
    "PageDomain": "string"
  },
  "HasPublicationDateBeenSet": true,
  "IsDiscoverable": true,
  "BlockEditorContentType": "Unknown"
}
FieldType
Idinteger (int32)
VersionIdinteger (int32)
VersionNumberinteger (int32)
VersionMessagestring
Authorobject
PublishedAsobject
CheckedOutByobject
Tagsarray of object
Keywordsarray of object
Categoriesarray of object
Contributorsarray of object
PageAttachmentsobject
IsActiveboolean
IsArchivedboolean
PublicPageSettingsobject
ContributorsNotificationSettingsobject
Permalinkstring
PublishStatusstring
DisplayImageboolean
TopSectionIdsarray of integer
AssetIdinteger (int32)
ContentTypestring
Titlestring
Summarystring
Contentobject
Featuresobject
Audienceobject
PubStartDatestring (date-time)
PubEndDatestring (date-time)
ReviewDatestring (date-time)
ConfidentialityIdinteger (int32)
ClassificationIdinteger (int32)
BestBetsarray of string
Translationsobject
IsPublicboolean
JsonDatastring
IsBlockEditorPageboolean
Blocksobject
Statusinteger (int32)
SocialAdvocacyUrlobject
HasPublicationDateBeenSetboolean
IsDiscoverableboolean
BlockEditorContentTypestring

GET /api/page/preview/{contentId}

Returns a guid that be used to access a preview of a draft page

Parameters

Name In Type Required Description
contentId path integer (int32) Yes

Responses

Status Body
200 string
500

GET /api/page/{pageId}/quiz/{quizId}

Get page quiz.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
quizId path integer (int32) Yes

Responses

Status Body
200 See below
400

Response body

{
  "Active": true,
  "AddedBy": 0,
  "AllUsers": true,
  "ArticleID": 0,
  "DateAdded": "2024-01-01T00:00:00Z",
  "Description": "string",
  "FailUser": 0,
  "Mandatory": true,
  "PassMark": 0,
  "PassUser": 0,
  "Priority": 0,
  "Randomise": true,
  "TestID": 0,
  "Title": "string",
  "PassMessage": "string",
  "FailMessage": "string",
  "Questions": [
    {
      "QuestionID": 0,
      "TestID": 0,
      "Question": "string",
      "AlwaysDisplayOutcomes": true,
      "Image": "string",
      "OrderBy": 0,
      "Outcomes": "string",
      "Type": "R",
      "Answers": [
        {
          "InstanceID": 0,
          "AnswerID": 0,
          "Answer": "string",
          "Correct": true,
          "OrderBy": 0,
          "QuestionID": 0,
          "Select": true
        }
      ]
    }
  ],
  "Instance": {
    "TestId": 0,
    "ArticleId": 0,
    "Title": "string",
    "Mandatory": true,
    "PassMark": 0,
    "InstanceId": 0,
    "DateStarted": "2024-01-01T00:00:00Z",
    "Completed": true,
    "Reset": true,
    "Result": 0,
    "QuestionId": 0,
    "Questions": [
      {
        "QuestionID": 0,
        "TestID": 0,
        "Question": "string",
        "AlwaysDisplayOutcomes": true,
        "Image": "string",
        "OrderBy": 0,
        "Outcomes": "string",
        "Type": "R",
        "Answers": [
          {
            "InstanceID": 0,
            "AnswerID": 0,
            "Answer": "string",
            "Correct": true,
            "OrderBy": 0,
            "QuestionID": 0,
            "Select": true
          }
        ]
      }
    ]
  },
  "ReaderIncluded": true,
  "ReaderCompleted": true
}
FieldType
Activeboolean
AddedByinteger (int32)
AllUsersboolean
ArticleIDinteger (int32)
DateAddedstring (date-time)
Descriptionstring
FailUserinteger (int32)
Mandatoryboolean
PassMarkinteger (int32)
PassUserinteger (int32)
Priorityinteger (int32)
Randomiseboolean
TestIDinteger (int32)
Titlestring
PassMessagestring
FailMessagestring
Questionsarray of object
Instanceobject
ReaderIncludedboolean
ReaderCompletedboolean

POST /api/page/{pageId}/quiz/{quizId}/answer

Send page quiz answers for user.

Parameters

Name In Type Required Description
completed query boolean No
pageId path string Yes
quizId path string Yes

Request body

[
  {
    "InstanceID": 0,
    "AnswerID": 0,
    "Answer": "string",
    "Correct": true,
    "OrderBy": 0,
    "QuestionID": 0,
    "Select": true
  }
]
FieldType
InstanceIDinteger (int32)
AnswerIDinteger (int32)
Answerstring
Correctboolean
OrderByinteger (int32)
QuestionIDinteger (int32)
Selectboolean

Responses

Status Body
200 boolean
400

GET /api/page/{pageId}/related

Get related pages.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
version query integer (int32) Yes

Responses

Status Body
200 See below
400

Response body

{
  "Id": 0,
  "Title": "string",
  "ReverseLink": true,
  "AssetID": 0,
  "NumberOfLikes": 0,
  "NumberOfComments": 0
}
FieldType
Idinteger (int32)
Titlestring
ReverseLinkboolean
AssetIDinteger (int32)
NumberOfLikesinteger (int32)
NumberOfCommentsinteger (int32)

GET /api/page/{pageId}/related/viewer

Get related content for a given content, which includes the number of likes and comments for each content.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
version query integer (int32) Yes
pageNumber query integer (int32) No
pageSize query integer (int32) No

Responses

Status Body
200 See below
400

Response body

{
  "Id": 0,
  "Title": "string",
  "ReverseLink": true,
  "AssetID": 0,
  "NumberOfLikes": 0,
  "NumberOfComments": 0
}
FieldType
Idinteger (int32)
Titlestring
ReverseLinkboolean
AssetIDinteger (int32)
NumberOfLikesinteger (int32)
NumberOfCommentsinteger (int32)

POST /api/page/suggest-keyword/{pageId}

Sends feedback to author.

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
keyword query string Yes

Responses

Status Body
200 boolean
400
403
404

GET /api/page/{pageId}/translation/{languageId}

Get the translated version of a page

Parameters

Name In Type Required Description
pageId path integer (int32) Yes
languageId path integer (int32) Yes
previewContentId query string No

Responses

Status Body
200 See below
400
403
404
500

Response body

{
  "Id": 0,
  "VersionId": 0,
  "VersionNumber": 0,
  "PublishedAs": {
    "Id": 0,
    "AssetId": 0,
    "Name": "string",
    "PublisherType": "Person",
    "PublisherTypeTitle": "string"
  },
  "AddedBy": 0,
  "SectionId": 0,
  "Title": "string",
  "Summary": "string",
  "AssetId": 0,
  "ContentType": "string",
  "JsonData": "string",
  "IsBlockEditorPage": true,
  "Active": true,
  "Archived": true,
  "ReviewId": 0,
  "IsKey": true,
  "AllowComments": true,
  "ShowTimeToRead": true,
  "AddedDate": "2024-01-01T00:00:00Z",
  "LastUpdatedDate": "2024-01-01T00:00:00Z",
  "PublishStartDate": "2024-01-01T00:00:00Z",
  "PublishEndDate": "2024-01-01T00:00:00Z",
  "TopMenuSectionProperties": {
    "SectionId": 0,
    "ShowRecommends": true,
    "ShowAuthor": true,
    "ShowQuiz": true,
    "ShowKeywords": true,
    "ShowStats": true,
    "ShowRating": true,
    "ShowUpToDate": true,
    "ShowMandatoryRead": true,
    "ShowPolls": true,
    "ShowComments": true,
    "ShowKey": true,
    "EnableMetadata": true,
    "EnableTasks": true,
    "HashTagMandatory": true,
    "AllowDirectDownload": true,
    "AllowFullWidth": true,
    "Url": "string"
  },
  "Content": {
    "Html": "string",
    "Link": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Upload": {
      "Title": "string",
      "Address": "string",
      "Target": "string",
      "GoStraightToTarget": true,
      "FileGuid": "string",
      "FileSize": 0,
      "Extension": "string",
      "DisableDownload": true
    },
    "Url": "string",
    "FileId": 0,
    "FileGuid": "string",
    "FileTitle": "string",
    "FileSize": 0,
    "FileSizeText": "string",
    "FileType": 0,
    "FileExtension": "string"
  },
  "Tags": [
    {
      "Id": 0,
      "Value": "string",
      "TagId": 0
    }
  ],
  "Keywords": [
    {
      "Id": 0,
      "Value": "string"
    }
  ],
  "Translations": [
    {
      "LanguageId": 0,
      "Code": "string",
      "Title": "string",
      "LocalTitle": "string",
      "DictionaryLanguage": "string",
      "LocalTitleWithFallback": "string",
      "TitleAndLocalTitle": "string",
      "RootBlock": "string"
    }
  ],
  "OriginalLanguage": {
    "LanguageId": 0,
    "Code": "string",
    "Title": "string",
    "LocalTitle": "string",
    "DictionaryLanguage": "string",
    "LocalTitleWithFallback": "string",
    "TitleAndLocalTitle": "string",
    "RootBlock": "string"
  },
  "Classification": "string",
  "ConfidentialityRating": "string",
  "Blocks": {},
  "LikeCount": 0,
  "CommentCount": 0,
  "Permalink": "string",
  "HasQuiz": true,
  "PollId": 0,
  "LanguageDirection": "string",
  "ShowPublishedDate": true,
  "ShowUpdatedDate": true,
  "HasPublicationDateBeenSet": true,
  "FoundryContentTypeId": "Unknown",
  "TelemetrySectionInfo": {
    "CategoryId": 0,
    "CategoryTitle": "string",
    "TopSectionId": 0,
    "TopSectionTitle": "string"
  }
}
FieldType
Idinteger (int32)
VersionIdinteger (int32)
VersionNumberinteger (int32)
PublishedAsobject
AddedByinteger (int32)
SectionIdinteger (int32)
Titlestring
Summarystring
AssetIdinteger (int32)
ContentTypestring
JsonDatastring
IsBlockEditorPageboolean
Activeboolean
Archivedboolean
ReviewIdinteger (int32)
IsKeyboolean
AllowCommentsboolean
ShowTimeToReadboolean
AddedDatestring (date-time)
LastUpdatedDatestring (date-time)
PublishStartDatestring (date-time)
PublishEndDatestring (date-time)
TopMenuSectionPropertiesobject
Contentobject
Tagsarray of object
Keywordsarray of object
Translationsarray of object
OriginalLanguageobject
Classificationstring
ConfidentialityRatingstring
Blocksobject
LikeCountinteger (int32)
CommentCountinteger (int32)
Permalinkstring
HasQuizboolean
PollIdinteger (int32)
LanguageDirectionstring
ShowPublishedDateboolean
ShowUpdatedDateboolean
HasPublicationDateBeenSetboolean
FoundryContentTypeIdstring
TelemetrySectionInfoobject
Section: REST API